Page MenuHomeFreeBSD

x11/polybar: Many fixes.
ClosedPublic

Authored by rigoletto on Mar 10 2018, 11:11 PM.

Details

Summary

PR: 226507

  • remove ALSA from OPTIONS_DEFAULT (broken)
  • add mpd to working modules list (tested)
  • add menu to working modules (tested)
  • add xworkspaces to working modules (not extensively tested)
  • add github to working modules (tested)
  • add TESTS OPTION
  • fix IPC_DESC. That is a built-in IPC, not i3 related
  • move cpu, memory and others modules to broken (tested)
  • while here do some alphabetizing

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

This comment was removed by rigoletto.
rigoletto retitled this revision from x11/polybar: fix empty pkg-plist and minors. to x11/polybar: many fixes..Mar 21 2018, 4:54 AM
rigoletto edited the summary of this revision. (Show Details)
rigoletto edited the summary of this revision. (Show Details)

Revert the distinfo file. There is not point to commit just timestamp changes.

tobik added inline comments.
x11/polybar/Makefile
51 ↗(On Diff #40528)

This seems like a bogus change? Please keep the options helpers sorted.

x11/polybar/pkg-plist
2 ↗(On Diff #40528)

polybar-msg is only built when BUILD_IPC_MSG is turned on, so this needs to either be added back in or we remove the IPC option entirely. It doesn't add any new dependencies AFAICT and we can just always build polybar-msg.

Build with IPC=off:

===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: bin/polybar-msg
===> Error: Plist issues found.
rigoletto marked 2 inline comments as done.

Fixing and:

  • add TESTS (test suite) OPTION
  • I *temporarily* enabled some xcb-* stuff to see if they change anything related with some known broken modules.

Thanks!

Cleaning a GH_TAG what should not be in there.

  • more modules tested and working: menu, and xworkspaces.
  • for backlight and xbacklight I get this message:

error: Disabling module "backlight" (reason: Not supported for "DVI-I-0")

I do not know if those were supposed to be working or the message is just right about not being supported.

  • the GitHub module show up but I had no opportunity to actually know if it is working or not.
  • the battery module I do not have how to test, and I will try to proper test the ipc one due tomorrow.
  • The commit 0edaead fix the very annoying bug of tray overlapping other modules. Do you think it worth to bring the port to that commit? See HERE.

Thanks!

rigoletto edited the summary of this revision. (Show Details)

Btw, upstream just merged all patches. \o/

x11/polybar/pkg-plist
2 ↗(On Diff #40528)

Weird. Now it is being installed in here with %%IPC%% in there. I guess I've missed something while testing it.

Thanks!

Unless I understood wrong how that works (HERE and HERE), the IPC module unfortunately seems to be broken.

Adding "enable-ipc = true" to config and creating a simple custom module:

[module/demo]
type = custom/ipc
hook-0 = date
click-left = polybar-msg -p %pid% hook demo 1

and then starting polybar. The FIFO file is created in /tmp and an empty area appear on the specified part of the bar.

The simplest test would be running something like "polybar-msg cmd hide" to hide the bar, but that return "polybar-msg: No process with pid ${pid}".

The second one was a tentative to trigger the hook-0: "echo 'hook:demo/ipc1' >>/tmp/polybar_mqueue.${pid}" and ... notthing happened.

I tried several ways to make it work but the only one that appear to triggered the hook was setting "initial = 1" to make the hook-0 be triggered at the polybar start.

So I guess something is broken between the FIFO and polybar. For course, mouse clicking also does not work.

More broken modules: cpu, ram.

Disabling IPC as it seem to be partially broken. Does not work when using the 'polybar-msg' command.

rigoletto edited the summary of this revision. (Show Details)

Re-enable IPC and update pkg-message to notice the polybar-msg facility does not
seem to work.

koobs retitled this revision from x11/polybar: many fixes. to x11/polybar: Many fixes.May 1 2018, 4:09 AM
koobs edited the summary of this revision. (Show Details)
rigoletto retitled this revision from x11/polybar: Many fixes to x11/polybar: many fixes..May 1 2018, 4:11 AM
rigoletto edited the summary of this revision. (Show Details)
rigoletto retitled this revision from x11/polybar: many fixes. to x11/polybar: Many fixes..May 1 2018, 4:26 AM
rigoletto edited the summary of this revision. (Show Details)
rigoletto edited the summary of this revision. (Show Details)

Removing GH_TAGNAME, what was not supposed to be in here.

Thanks.

x11/polybar/Makefile
59 ↗(On Diff #42025)

How are the tests run? Does it happen automatically during the build or are you missing TESTS_TEST_TARGET?

rigoletto added inline comments.
x11/polybar/Makefile
59 ↗(On Diff #42025)

They are automatic, the instructions are set on the CMakeLists.txt file. Here is another CMakeLists.txt with the option to enable it.

This revision was not accepted when it landed; it landed in state Needs Review.May 12 2018, 7:11 AM
This revision was automatically updated to reflect the committed changes.